﻿/*Telerik RadGrid MyCustomSkin Skin*/

/*global*/

.RadGrid_JobsCustomSkin {
    border: 1px solid #828282;
    background: #C2CED8;
    color: #333;
}

    .RadGrid_JobsCustomSkin,
    .RadGrid_JobsCustomSkin .rgMasterTable,
    .RadGrid_JobsCustomSkin .rgDetailTable,
    .RadGrid_JobsCustomSkin .rgGroupPanel table,
    .RadGrid_JobsCustomSkin .rgCommandRow table,
    .RadGrid_JobsCustomSkin .rgEditForm table,
    .GridToolTipJobsCustomSkin {
        font: 12px arial,sans-serif;
    }

        .RadGrid_JobsCustomSkin .rgMasterTable,
        .RadGrid_JobsCustomSkin .rgDetailTable {
            border-collapse: separate !important;
        }

        .RadGrid_JobsCustomSkin .rgRow,
        .RadGrid_JobsCustomSkin .rgAltRow,
        .RadGrid_JobsCustomSkin .rgHeader,
        .RadGrid_JobsCustomSkin .rgResizeCol,
        .RadGrid_JobsCustomSkin .rgPager,
        .RadGrid_JobsCustomSkin .rgGroupPanel {
            cursor: default;
        }

            .RadGrid_JobsCustomSkin .rgRow td,
            .RadGrid_JobsCustomSkin .rgAltRow td,
            .RadGrid_JobsCustomSkin .rgEditRow td,
            .RadGrid_JobsCustomSkin .rgFooter td,
            .RadGrid_JobsCustomSkin .rgFilterRow td,
            .RadGrid_JobsCustomSkin .rgHeader,
            .RadGrid_JobsCustomSkin .rgResizeCol,
            .RadGrid_JobsCustomSkin .rgGroupHeader td {
                padding-left: 7px;
                padding-right: 7px;
            }

        .RadGrid_JobsCustomSkin .rgAdd,
        .RadGrid_JobsCustomSkin .rgRefresh,
        .RadGrid_JobsCustomSkin .rgEdit,
        .RadGrid_JobsCustomSkin .rgDel,
        .RadGrid_JobsCustomSkin .rgFilter,
        .RadGrid_JobsCustomSkin .rgPagePrev,
        .RadGrid_JobsCustomSkin .rgPageNext,
        .RadGrid_JobsCustomSkin .rgPageFirst,
        .RadGrid_JobsCustomSkin .rgPageLast,
        .RadGrid_JobsCustomSkin .rgExpand,
        .RadGrid_JobsCustomSkin .rgCollapse,
        .RadGrid_JobsCustomSkin .rgSortAsc,
        .RadGrid_JobsCustomSkin .rgSortDesc,
        .RadGrid_JobsCustomSkin .rgUpdate,
        .RadGrid_JobsCustomSkin .rgCancel {
            width: 16px;
            height: 16px;
            border: 0;
            margin: 0;
            padding: 0;
            background-color: transparent;
            background-image: url('../images/Telerik/Grid/sprite.gif');
            background-repeat: no-repeat;
            vertical-align: middle;
            font-size: 1px;
            cursor: pointer;
        }

        .RadGrid_JobsCustomSkin .rgGroupItem input,
        .RadGrid_JobsCustomSkin .rgCommandRow img,
        .RadGrid_JobsCustomSkin .rgHeader input,
        .RadGrid_JobsCustomSkin .rgFilterRow img,
        .RadGrid_JobsCustomSkin .rgPager img {
            vertical-align: middle;
        }

        /*header*/

        .RadGrid_JobsCustomSkin .rgHeaderDiv {
            background: #eee 0 -5900px repeat-x url('../images/Telerik/Grid/sprite.gif');            
        }

.rgTwoLines .rgHeaderDiv {
    background-position: 0 -6200px;
}

.rgNoScrollImage .rgHeaderDiv {
    background-image: none;
}

.RadGrid_JobsCustomSkin .rgHeader,
.RadGrid_JobsCustomSkin th.rgResizeCol {
    border: 0;
    border-bottom: 1px solid #828282;
    padding-top: 5px;
    padding-bottom: 4px;
    background: #eaeaea 0 -2300px repeat-x url('../images/Telerik/Grid/sprite.gif');
    text-align: left;
    font-weight: normal;
}

.RadGrid_JobsCustomSkin th.rgSorted {
    background-color: #c4c4c4;
    background-position: 0 -2600px;
}

.RadGrid_JobsCustomSkin .rgHeader,
.RadGrid_JobsCustomSkin .rgHeader a {
    color: #333;
    text-decoration: none;
    font-size: 12px;
    font-weight: bold;
}

/*rows*/

.RadGrid_JobsCustomSkin .rgRow td,
.RadGrid_JobsCustomSkin .rgAltRow td,
.RadGrid_JobsCustomSkin .rgEditRow td,
.RadGrid_JobsCustomSkin .rgFooter td {
    border: 0;
    border-bottom: 1px solid;
    padding-top: 14px;
    padding-bottom: 3px;
}

.RadGrid_JobsCustomSkin .rgAltRow {
    background: #f2f2f2;
}

    .RadGrid_JobsCustomSkin .rgRow td,
    .RadGrid_JobsCustomSkin .rgAltRow td {
        border-color: #fff;
    }

.RadGrid_JobsCustomSkin .rgAltRow {
    background: #CDE1FF;
}

.RadGrid_JobsCustomSkin .rgRow .rgSorted {
    background-color: #CCCCE5;
}

.RadGrid_JobsCustomSkin .rgAltRow .rgSorted {
    background-color: #EFDBBD;
}

.RadGrid_JobsCustomSkin .rgSelectedRow .rgSorted,
.RadGrid_JobsCustomSkin .rgActiveRow .rgSorted,
.RadGrid_JobsCustomSkin .rgHoveredRow .rgSorted,
.RadGrid_JobsCustomSkin .rgEditRow .rgSorted {
    background-color: transparent;
}

.RadGrid_JobsCustomSkin .rgRow a,
.RadGrid_JobsCustomSkin .rgAltRow a,
.RadGrid_JobsCustomSkin .rgEditRow a,
.RadGrid_JobsCustomSkin .rgFooter a,
.RadGrid_JobsCustomSkin .rgEditForm a {
    color: #000;
}

.RadGrid_JobsCustomSkin .rgSelectedRow {
    background: #828282 0 -3900px repeat-x url('../images/Telerik/Grid/sprite.gif');
    color: yellow;
}

    * + html .RadGrid_JobsCustomSkin .rgSelectedRow .rgSorted {
        background-color: #828282
    }

    * html .RadGrid_JobsCustomSkin .rgSelectedRow .rgSorted {
        background-color: #828282
    }

.RadGrid_JobsCustomSkin .rgActiveRow,
.RadGrid_JobsCustomSkin .rgHoveredRow {
    background: #c5c5c5 0 -2900px repeat-x url('Grid/sprite.gif');
    color: #333;
}

    * + html .RadGrid_JobsCustomSkin .rgActiveRow .rgSorted,
    * + html .RadGrid_JobsCustomSkin .rgHoveredRow .rgSorted {
        background-color: #c5c5c5
    }

    * html .RadGrid_JobsCustomSkin .rgActiveRow .rgSorted,
    * html .RadGrid_JobsCustomSkin .rgHoveredRow .rgSorted {
        background-color: #c5c5c5
    }

.RadGrid_JobsCustomSkin .rgEditRow {
    background: #fff 0 -4900px repeat-x url('../images/Telerik/Grid/sprite.gif');
}

    * + html .RadGrid_JobsCustomSkin .rgEditRow .rgSorted {
        background-color: #fff
    }

    * html .RadGrid_JobsCustomSkin .rgEditRow .rgSorted {
        background-color: #fff
    }

.RadGrid_JobsCustomSkin .rgActiveRow td,
.RadGrid_JobsCustomSkin .rgActiveRow td.rgSorted,
.RadGrid_JobsCustomSkin .rgHoveredRow td,
.RadGrid_JobsCustomSkin .rgHoveredRow td.rgSorted {
    border-bottom-color: #9e9e9e;
}

.RadGrid_JobsCustomSkin .rgSelectedRow td,
.RadGrid_JobsCustomSkin .rgSelectedRow td.rgSorted {
    border-bottom-color: #6c6c6c;
}

/*footer*/

.RadGrid_JobsCustomSkin .rgFooterDiv,
.RadGrid_JobsCustomSkin .rgFooter {
    background: #eee;
}

    .RadGrid_JobsCustomSkin .rgFooter td {
        border-top: 1px solid #828282;
        border-bottom: 1px solid #fff;
    }

/*status*/

.RadGrid_JobsCustomSkin .rgStatus {
    width: 35px;
    border: 1px solid;
    border-color: #828282 #c9c9c9 #eee #eee;
    border-left: 0;
    padding: 3px 0 2px;
}

    .RadGrid_JobsCustomSkin .rgStatus div {
        width: 24px;
        height: 24px;
        overflow: hidden;
        border: 0;
        margin: 0 auto;
        padding: 0;
        background: transparent 0 0 no-repeat url('<%=WebResource("Telerik.Web.UI.Skins.MyCustomSkin.Grid.loading.gif")%>');
        text-indent: -2222px;
    }

/*pager*/

.RadGrid_JobsCustomSkin .rgPager {
    background: #eee;
}

.RadGrid_JobsCustomSkin .rgPagerCell {
    border: 1px solid;
    border-color: #828282 #eee #eee;
    border-right: 0;
    padding: 3px 0 2px;
}

.RadGrid_JobsCustomSkin .rgWrap {
    float: left;
    padding: 0 10px;
    line-height: 26px;
    white-space: nowrap;
}

.RadGrid_JobsCustomSkin .rgArrPart1 {
    padding-right: 0;
    line-height: 22px;
}

.RadGrid_JobsCustomSkin .rgArrPart2 {
    padding-left: 0;
    line-height: 22px;
}

.RadGrid_JobsCustomSkin .rgInfoPart {
    float: right;
    color: #8a8a8a;
}

    .RadGrid_JobsCustomSkin .rgInfoPart strong {
        font-weight: normal;
        color: #4c4e54;
    }

.RadGrid_JobsCustomSkin .rgPageFirst,
.RadGrid_JobsCustomSkin .rgPagePrev,
.RadGrid_JobsCustomSkin .rgPageNext,
.RadGrid_JobsCustomSkin .rgPageLast {
    width: 22px;
    height: 24px;
}

.RadGrid_JobsCustomSkin .rgPageFirst {
    background-position: 0 -549px;
}

    .RadGrid_JobsCustomSkin .rgPageFirst:hover {
        background-position: 0 -599px;
    }

.RadGrid_JobsCustomSkin .rgPagePrev {
    background-position: 0 -699px;
}

    .RadGrid_JobsCustomSkin .rgPagePrev:hover {
        background-position: 0 -749px;
    }

.RadGrid_JobsCustomSkin .rgPageNext {
    background-position: 0 -849px;
}

    .RadGrid_JobsCustomSkin .rgPageNext:hover {
        background-position: 0 -899px;
    }

.RadGrid_JobsCustomSkin .rgPageLast {
    background-position: 0 -999px;
}

    .RadGrid_JobsCustomSkin .rgPageLast:hover {
        background-position: 0 -1049px;
    }

.RadGrid_JobsCustomSkin .rgPagerButton {
    height: 22px;
    border: 1px solid;
    border-color: #d0d0d0 #aeaeae #8b8b8b;
    margin: 0 14px 0 0;
    padding: 0 4px 2px;
    background: transparent repeat-x 0 -1550px url('../images/Telerik/Grid/sprite.gif');
    color: #000;
    font: 10px arial,sans-serif;
    vertical-align: middle;
    cursor: pointer;
}

.RadGrid_JobsCustomSkin .rgNumPart {
    padding: 2px 0;
}

.RadGrid_JobsCustomSkin .NumericPages .rgNumPart {
    padding: 2px 10px;
}

.RadGrid_JobsCustomSkin .rgNumPart a:hover,
.RadGrid_JobsCustomSkin .rgNumPart a:hover span,
.RadGrid_JobsCustomSkin .rgNumPart a.rgCurrentPage,
.RadGrid_JobsCustomSkin .rgNumPart a.rgCurrentPage span {
    background: no-repeat url('../images/Telerik/Grid/sprite.gif');
}

.RadGrid_JobsCustomSkin .rgNumPart a {
    float: left;
    line-height: 22px;
    margin: 0;
    padding: 0 5px 0 0;
    color: #000;
    text-decoration: none;
}

.RadGrid_JobsCustomSkin .rgNumPart span {
    float: left;
    padding: 0 0 0 5px;
}

.RadGrid_JobsCustomSkin .rgNumPart a:hover {
    background-position: 100% -1250px;
}

    .RadGrid_JobsCustomSkin .rgNumPart a:hover span {
        background-position: 0 -1150px;
        cursor: pointer;
    }

.RadGrid_JobsCustomSkin .rgNumPart a.rgCurrentPage,
.RadGrid_JobsCustomSkin .rgNumPart a.rgCurrentPage:hover {
    background-position: 100% -1450px;
    cursor: default;
}

    .RadGrid_JobsCustomSkin .rgNumPart a.rgCurrentPage span,
    .RadGrid_JobsCustomSkin .rgNumPart a.rgCurrentPage:hover span {
        background-position: 0 -1350px;
        cursor: default;
    }

.RadGrid_JobsCustomSkin .NextPrevNumericAndAdvanced .rgAdvPart {
    float: none;
    text-align: center;
}

.RadGrid_JobsCustomSkin .rgPager .RadSlider {
    float: left;
    margin: 2px 10px 0 0;
}

.RadGrid_JobsCustomSkin .rgPagerLabel,
.RadGrid_JobsCustomSkin .rgPager .RadComboBox,
.RadGrid_JobsCustomSkin .rgPager .RadInputJobsCustomSkin {
    margin: 0 4px 0 0;
    vertical-align: middle;
}

.RadGrid_JobsCustomSkin .rgPager .RadComboBox {
    margin-top: -1px;
}

* + html .RadGrid_JobsCustomSkin .rgPager .RadComboBox {
    margin-top: -2px;
}

* html .RadGrid_JobsCustomSkin .rgPager .RadComboBox {
    margin-top: -2px;
}

.RadGrid_JobsCustomSkin .rgPagerTextBox {
    text-align: center;
}

/*sorting, reordering*/

.RadGrid_JobsCustomSkin .rgHeader .rgSortAsc {
    background-position: 3px -248px;
    height: 10px;
}

.RadGrid_JobsCustomSkin .rgHeader .rgSortDesc {
    background-position: 3px -198px;
    height: 10px;
}

.GridReorderTopJobsCustomSkin,
.GridReorderBottomJobsCustomSkin {
    width: 9px !important;
    height: 9px !important;
    margin-left: -5px;
    background: 0 0 no-repeat url('../images/Telerik/Grid/sprite.gif');
}

.GridReorderBottomJobsCustomSkin {
    background-position: 0 -50px;
}

/*filtering*/

.RadGrid_JobsCustomSkin .rgFilterRow {
    background: #FFE4C4;
}

    .RadGrid_JobsCustomSkin .rgFilterRow td {
        border-bottom: 1px solid #828282;
        padding-top: 4px;
        padding-bottom: 7px;
    }

.RadGrid_JobsCustomSkin .rgFilter {
    width: 22px;
    height: 22px;
    margin: 0 0 0 2px;
    background-position: 0 -300px;
}

    .RadGrid_JobsCustomSkin .rgFilter:hover {
        background-position: 0 -350px;
    }

.RadGrid_JobsCustomSkin .rgFilterBox {
    border: 1px solid;
    border-color: #8e8e8e #c9c9c9 #c9c9c9 #8e8e8e;
    padding: 2px 1px 3px;
    font: 10px arial,sans-serif;
    color: #333;
    vertical-align: middle;
}

/*grouping*/

.RadGrid_JobsCustomSkin .rgGroupPanel {
    height: 24px;
    border: 0;
    border-bottom: 1px solid #828282;
    background: #eee 0 -1900px repeat-x url('../images/Telerik/Grid/sprite.gif');
}

    .RadGrid_JobsCustomSkin .rgGroupPanel td {
        border: 0;
        padding: 3px 4px;
    }

        .RadGrid_JobsCustomSkin .rgGroupPanel td td {
            padding: 0;
        }

    .RadGrid_JobsCustomSkin .rgGroupPanel .rgSortAsc {
        background-position: 4px -143px;
    }

    .RadGrid_JobsCustomSkin .rgGroupPanel .rgSortDesc {
        background-position: 4px -93px;
    }

.RadGrid_JobsCustomSkin .rgGroupItem {
    border: 1px solid;
    border-color: #c4c4c4 #c4c4c4 #9e9e9e;
    padding: 1px 2px 4px 3px;
    background: #c6c6c6 0 -6500px repeat-x url('../images/Telerik/Grid/sprite.gif');
}

.RadGrid_JobsCustomSkin .rgMasterTable td.rgGroupCol,
.RadGrid_JobsCustomSkin .rgMasterTable td.rgExpandCol {
    border-color: #d9d9d9;
    background: #d9d9d9 none;
    padding-left: 0 !important;
    padding-right: 0 !important;
    text-align: center;
}

.RadGrid_JobsCustomSkin .rgGroupHeader {
    background: #d9d9d9;
    font-size: 1.1em;
    color: #000;
}

    .RadGrid_JobsCustomSkin .rgGroupHeader td {
        border-top: 1px solid #828282;
        border-bottom: 1px solid #d9d9d9;
        padding-top: 1px;
        padding-bottom: 4px;
    }

        .RadGrid_JobsCustomSkin .rgGroupHeader td.rgGroupCol {
            border-top-color: #828282;
        }

.RadGrid_JobsCustomSkin .rgExpand {
    background-position: 5px -496px;
}

.RadGrid_JobsCustomSkin .rgCollapse {
    background-position: 3px -444px;
}

.RadGrid_JobsCustomSkin .rgGroupHeader td p {
    display: inline;
    padding: 0 10px;
}

.RadGrid_JobsCustomSkin .rgGroupHeader td div div {
    top: -0.5em;
    padding: 0 10px;
}

    .RadGrid_JobsCustomSkin .rgGroupHeader td div div div {
        top: 0;
        padding: 0;
        border: 0;
    }

/*editing*/

.RadGrid_JobsCustomSkin .rgEditForm {
    border-bottom: 1px solid #828282;
}

.RadGrid_JobsCustomSkin .rgUpdate {
    background-position: 0 -1800px;
}

.RadGrid_JobsCustomSkin .rgCancel {
    background-position: 2px -1848px;
}

/*hierarchy*/

.RadGrid_JobsCustomSkin .rgDetailTable {
    border: 1px solid #828282;
    border-right: 0;
}

/*command row*/

.RadGrid_JobsCustomSkin .rgCommandRow {
    background: #c5c5c5 0 -2099px repeat-x url('../images/Telerik/Grid/sprite.gif');
    color: #000;
}

    .RadGrid_JobsCustomSkin .rgCommandRow td {
        border: 1px solid;
        border-color: #999 #f2f2f2;
        border-top: 0;
        padding: 0;
    }

.RadGrid_JobsCustomSkin tfoot .rgCommandRow td {
    border-top: 1px solid;
    border-bottom: 0;
}

.RadGrid_JobsCustomSkin tr.rgCommandRow td td {
    border: 0;
    padding: 3px 7px 4px;
}

    .RadGrid_JobsCustomSkin tr.rgCommandRow td td td {
        padding: 1px;
    }

.RadGrid_JobsCustomSkin .rgCommandRow table {
    border: 0;
    border-top: 1px solid #fdfdfd;
    border-bottom: 1px solid #e7e7e7;
}

    .RadGrid_JobsCustomSkin .rgCommandRow table table {
        border: 0;
    }

.RadGrid_JobsCustomSkin .rgCommandRow a {
    color: #000;
    text-decoration: none;
}

.RadGrid_JobsCustomSkin .rgAdd {
    margin-right: 3px;
    background-position: 0 -1650px;
}

.RadGrid_JobsCustomSkin .rgRefresh {
    margin-right: 3px;
    background-position: 0 -1600px;
}

.RadGrid_JobsCustomSkin .rgEdit {
    background-position: 0 -1700px;
}

.RadGrid_JobsCustomSkin .rgDel {
    background-position: 0 -1750px;
}

/*multirow select*/

.GridRowSelectorJobsCustomSkin {
    background: #4c4e54;
}

/*row drag n drop*/

.GridItemDropIndicatorJobsCustomSkin {
    border-top: 1px dashed #666;
}

/*tooltip*/

.GridToolTipJobsCustomSkin {
    border: 1px solid #828282;
    padding: 3px;
    background: #fff;
    color: #333;
}

/*rtl*/

.RadGridRTLJobsCustomSkin .rgHeader,
.RadGridRTLJobsCustomSkin .rgResizeCol {
    text-align: right;
}

.rcbSlide, .rcbArrowCell {
    z-index: 999999 !important;
}

.rcbSlide {
    background-color: White !important;
    border: 1px solid black;
}
